org.apache.storm.loadgen

## Enum GroupingType

- java.lang.Object
- - java.lang.Enum<GroupingType>
  - - org.apache.storm.loadgen.GroupingType

- All Implemented Interfaces:
    Serializable, Comparable<GroupingType>

      public enum GroupingType
      extends Enum<GroupingType>

  The different types of groupings that are supported.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `FIELDS`
    `GLOBAL`
    `LOCAL_OR_SHUFFLE`
    `NONE`
    `PARTIAL_KEY`
    `SHUFFLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `assign(BoltDeclarer declarer, InputStream stream)`
    `static GroupingType` | `fromConf(String conf)` Parse a String config value and covert it into the enum.
    `String` | `toConf()`
    `static GroupingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroupingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHUFFLE

          public static final GroupingType SHUFFLE

    - #### FIELDS

          public static final GroupingType FIELDS

    - #### ALL

          public static final GroupingType ALL

    - #### GLOBAL

          public static final GroupingType GLOBAL

    - #### LOCAL_OR_SHUFFLE

          public static final GroupingType LOCAL_OR_SHUFFLE

    - #### NONE

          public static final GroupingType NONE

    - #### PARTIAL_KEY

          public static final GroupingType PARTIAL_KEY

  - ### Method Detail

    - #### values

          public static GroupingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupingType c : GroupingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromConf

          public static GroupingType fromConf(String conf)

      Parse a String config value and covert it into the enum.

      Parameters:
        `conf` - the string config.
      Returns:
        the parsed grouping type or SHUFFLE if conf is null.
      Throws:
        `IllegalArgumentException` - if parsing does not work.

    - #### toConf

          public String toConf()

    - #### assign

          public abstract void assign(BoltDeclarer declarer,
                                      InputStream stream)

Copyright © 2021 The Apache Software Foundation. All rights reserved.